<?php
namespace Claromentis\Infocapture\Filter;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_7276e0af756e529d30af7aaafe4e" . "7784" => base64_decode("YXJjaGl2" . "ZWQ="), "_5ecedeb8c083d4a2a4ebef5526" . "097f58" => base64_decode("YXNzaW" . "duZWVz"), "proj" . "ect_" . "id" => base64_decode("cHJvamVjdF9pZA" . "=="), "_7608a2690229dd26ac43cb60aa2" . "a7d97" => base64_decode("bGFzdF9tb2RpZmllZ" . "A=="), "_c42d618c08b720c25b90" . "ad5550e2db2f" => base64_decode("cmVw" . "b3J0" . "ZXI="), "_1ac5cc48c34c5362e94" . "d8667cc7b0ddc" => base64_decode("LA" . "=="), "_8f3ef8878b2" . "a82b830d051a" . "059162317" => base64_decode("Y3JlYXRl" . "ZF9mcm9t"), "_83396dd" . "dfc39e26" . "775d1e61" . "db5abf86" . "b" => base64_decode("bW9uaX" . "Rvcmlu" . "Zw=="), "_5159b3572969eca46acd1" . "b2e1418459c" => base64_decode("aW1w" . "bG9k" . "ZQ=="), "_ff248fe1eba68f1" . "90ea1ff00a554acd" . "e" => base64_decode("YXNzaWduZW" . "U="), "_f73dab606630b388645c4" . "f7d3fbb13bb" => base64_decode("YXJyYXlfbWVyZ2" . "U="), "_4d707fab93be" . "bb00bbe69e815" . "9697c90" => base64_decode(""), "_8af1b1bd0c05175c85a4cee44d47" . "d2da" => base64_decode("cXVlcn" . "lfZmll" . "bGRz"), "st" . "at" . "us" => base64_decode("c3Rh" . "dHVz"), "_57c0a2f09e2a920c0560baffc5e3d" . "295" => base64_decode("cmVwb3J0Z" . "XJz"), "_7f5aa4e96d4b415a86ed72ebff677cb" . "e" => base64_decode("cXVlcnk" . "="));
use Claromentis\Core\Util\StringUtil;
use Date;
use Psr\Http\Message\ServerRequestInterface;
use Throwable;
class IssueFilter extends AbstractFilter
{
    
    
    
    
    protected ?int $projectId = null;
    
    
    
    
    protected array $reporter = [];
    
    
    
    
    protected array $assignee = [];
    
    
    
    
    protected ?bool $archived = null;
    
    
    
    
    protected bool $monitoring = false;
    
    
    
    
    protected ?string $query = null;
    
    
    
    
    
    
    protected array $queryFields = [];
    
    
    
    
    
    
    
    public function fill(ServerRequestInterface $request) : void
    {
        $parameters = $request->getQueryParams();
        $this->setPaginationAttributesFromRequest($request);
        $this->setReporters($parameters[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c42d618c08b720c25b90a" . "d5550e2db2f"]] ?? $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e81596" . "97c90"]);
        $this->setAssignees($parameters[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_ff248fe1eba68f190ea1f" . "f00a554acde"]] ?? $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69e81596" . "97c90"]);
        $this->setStatus($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["st" . "at" . "us"]] ?? null);
        $this->setCreatedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8f3ef8878b2a82b830d051a" . "059162317"]] ?? null));
        $this->setModifiedDate($this->formatDate($parameters[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_7608a2690229dd26ac43cb60aa2a7d" . "97"]] ?? null));
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7276e0a" . "f756e529" . "d30af7aa" . "afe4e778" . "4"]])) {
            $this->setArchived(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7276e0af756e529d30af7aaafe4e778" . "4"]]));
        }
        if (isset($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_83396dddfc39e26775d1e61db" . "5abf86b"]])) {
            $this->setMonitoring(StringUtil::parseBoolean($parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_83396dddf" . "c39e26775d" . "1e61db5abf" . "86b"]]));
        }
        $this->setQuery($parameters[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_7f5aa4e96d4b415a86ed72ebff" . "677cbe"]] ?? null);
        if (isset($parameters[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8af1b1bd0c05175c85a4cee44d" . "47d2da"]])) {
            $this->setQueryFields($parameters[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8af1b1bd0c05175c" . "85a4cee44d47d2da"]]);
        }
    }
    public function getProjectId() : ?int
    {
        return $this->projectId;
    }
    public function setProjectId(?int $projectId = null) : void
    {
        $this->projectId = $projectId;
    }
    public function getReporterList() : array
    {
        return $this->reporter;
    }
    public function setReporters(string $_c42d618c08b720c25b90ad5550e2db2f) : void
    {
        StringUtil::validateCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
        $this->reporter = StringUtil::splitCommaSeparatedList($_c42d618c08b720c25b90ad5550e2db2f);
    }
    public function getAssigneeList() : array
    {
        return $this->assignee;
    }
    public function setAssignees(string $_ff248fe1eba68f190ea1ff00a554acde) : void
    {
        StringUtil::validateCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
        $this->assignee = StringUtil::splitCommaSeparatedList($_ff248fe1eba68f190ea1ff00a554acde);
    }
    public function getArchived() : ?bool
    {
        return $this->archived;
    }
    public function setArchived(?bool $_7276e0af756e529d30af7aaafe4e7784) : void
    {
        $this->archived = $_7276e0af756e529d30af7aaafe4e7784;
    }
    public function getMonitoring() : bool
    {
        return $this->monitoring;
    }
    public function setMonitoring(bool $_83396dddfc39e26775d1e61db5abf86b) : void
    {
        $this->monitoring = $_83396dddfc39e26775d1e61db5abf86b;
    }
    public function getQuery() : ?string
    {
        return $this->query;
    }
    public function setQuery(?string $_7f5aa4e96d4b415a86ed72ebff677cbe) : void
    {
        $this->query = $_7f5aa4e96d4b415a86ed72ebff677cbe;
    }
    
    
    
    
    public function getQueryFields() : array
    {
        return $this->queryFields;
    }
    public function setQueryFields(string $_fc95e77eab852b63129161149bcdac0d) : void
    {
        StringUtil::validateCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
        $this->queryFields = StringUtil::splitCommaSeparatedList($_fc95e77eab852b63129161149bcdac0d);
    }
    public function toArray() : array
    {
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f73dab606" . "630b388645" . "c4f7d3fbb1" . "3bb"](parent::toArray(), [$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["projec" . "t_id"] => $this->projectId, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_57c0a2f09e2a920c056" . "0baffc5e3d295"] => !empty($this->reporter) ? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_5159b35729" . "69eca46acd1" . "b2e1418459c"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_1ac5cc48c34" . "c5362e94d866" . "7cc7b0ddc"], $this->reporter) : null, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_5ecedeb8c08" . "3d4a2a4ebef5" . "526097f58"] => !empty($this->assignee) ? $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5159b3572969eca46acd1b" . "2e1418459c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_1ac5cc48" . "c34c5362e" . "94d8667cc" . "7b0ddc"], $this->assignee) : null, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7276e0a" . "f756e529" . "d30af7aa" . "afe4e778" . "4"] => $this->archived, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_83396dddfc39e26775d1e61db5ab" . "f86b"] => $this->monitoring, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["sta" . "tus"] => $this->status]);
    }
    
    
    
    
    
    
    
    
    
    private function formatDate(?string $_67a0d624aebcceb0abd5ce56a53ff06f) : ?Date
    {
        if ($_67a0d624aebcceb0abd5ce56a53ff06f === null) {
            return null;
        }
        try {
            return new \Date($_67a0d624aebcceb0abd5ce56a53ff06f);
        } catch (Throwable $_fe441aa3ef350bfb1a1a1ad8520dd530) {
            return null;
        }
    }
}